## ros-kinetic-agvs-robot-control 0.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(agvs_robot_control)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  geometry_msgs
  robotnik_msgs
  roscpp
  sensor_msgs
  std_srvs
  std_msgs
  tf
  ackermann_msgs
  nav_msgs
  diagnostic_msgs
  diagnostic_updater
)

catkin_package(
  CATKIN_DEPENDS 
     roscpp
     robotnik_msgs 
     sensor_msgs
     std_srvs 
     std_msgs
     tf
     ackermann_msgs
     nav_msgs
     geometry_msgs
     diagnostic_msgs
     diagnostic_updater
)

include_directories(
  ${catkin_INCLUDE_DIRS}
)

add_executable(agvs_robot_control src/agvs_robot_control.cpp)
add_dependencies(agvs_robot_control robotnik_msgs_generate_messages_cpp)

target_link_libraries(agvs_robot_control
   ${catkin_LIBRARIES}
)

install(
  TARGETS agvs_robot_control
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-agvs-robot-control (0.1.3-0xenial) xenial; urgency=high



 -- Roberto Guzmán <rguzman@robotnik.es>  Thu, 18 Aug 2016 22:00:00 -0000

ros-kinetic-agvs-robot-control (0.1.2-0xenial) xenial; urgency=high

  * Correcting repository urls and websites for some packages
  * Updating changelogs
  * indigo-0.1.1
  * Redoing CHANGELOGS
  * agvs_robot_control: Adding build and run dependencies
  * Adding changelogs for the release
  * Adding the install macro to the CMakelists
  * Removing old msgs for AckermanDrive
  * Cleaning CMakelists and more
  * First indigo version commit
  * Contributors: Elena Gambaro, RomanRobotnik

 -- Roberto Guzmán <rguzman@robotnik.es>  Tue, 19 Jul 2016 22:00:00 -0000

ros-kinetic-agvs-robot-control (0.1.1-0xenial) xenial; urgency=high

  * indigo-0.1.1
  * Redoing CHANGELOGS
  * agvs_robot_control: Adding build and run dependencies
  * Adding changelogs for the release
  * Adding the install macro to the CMakelists
  * Removing old msgs for AckermanDrive
  * Cleaning CMakelists and more
  * First indigo version commit
  * Contributors: Elena Gambaro, RomanRobotnik

 -- Roberto Guzmán <rguzman@robotnik.es>  Tue, 28 Jul 2015 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-agvs-robot-control
Section: misc
Priority: extra
Maintainer: Roberto Guzmán <rguzman@robotnik.es>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-ackermann-msgs, ros-kinetic-catkin, ros-kinetic-diagnostic-msgs, ros-kinetic-diagnostic-updater, ros-kinetic-geometry-msgs, ros-kinetic-message-generation, ros-kinetic-nav-msgs, ros-kinetic-robotnik-msgs, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-tf
Homepage: http://wiki.ros.org/agvs_robot_control
Standards-Version: 3.9.2

Package: ros-kinetic-agvs-robot-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-ackermann-msgs, ros-kinetic-diagnostic-msgs, ros-kinetic-diagnostic-updater, ros-kinetic-geometry-msgs, ros-kinetic-message-runtime, ros-kinetic-nav-msgs, ros-kinetic-robotnik-msgs, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-tf
Description: The agvs_robot_control package.
 Robot controller that interacts with Gazebo motor controllers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-agvs-robot-control//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
